[device]
device=mega328pb
DeviceID=$1E9516
POLL=$FF
PollRdy=true
HLL=true
OWD=true
Multiply=true
MOVW=true
LPMinc=true
pintoggle=true
FlashWrite=true
BOOTRST0=$3800
BOOTRST1=$3C00
BOOTRST2=$3E00
BOOTRST3=$3F00
BOOTRSTE=$3FFF
PageSize=128
EEpage=4
enhancedcore=true
ExtTIMSK=true
ExtTCCR=true

[fuses]
fuses=$7F
fusebit0=SUT0
fusebit1=SUT1
fusebit3=EESAVE
fuse05=1
fuse11=0
fuse40=2
rcen=0
ReadLock=true

[lockbitsWR0]
Adr=0
mask=$3f
cmd=$ACE000C0
0=LOCKBIT1
1=LOCKBIT2
2=BOOTLOCK01
3=BOOTLOCK02
4=BOOTLOCK11
5=BOOTLOCK12

[lockbitsRD0]
Adr=0
Mask=$3f
cmd=$58000000
0=LOCKBIT1
1=LOCKBIT2
2=BOOTLOCK01
3=BOOTLOCK02
4=BOOTLOCK11
5=BOOTLOCK12

[FusebitsWR0]
Adr=0
Mask=$FF
cmd=$ACA00000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsRD0]
Adr=0
Mask=$FF
cmd=$50000000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsWR1]
Adr=0
Mask=$DF
cmd=$ACA80000
0=BOOTRST
1=BOOTSZ0
2=BOOTSZ1
3=EESAVE
4=WDTON
6=DWEN
7=RSTDISBL

[FusebitsRD1]
Adr=0
Mask=$Ff
cmd=$58080000
0=BOOTRST
1=BOOTSZ0
2=BOOTSZ1
3=EESAVE
4=WDTON
5=SPIEN
6=DWEN
7=RSTDISBL

[FusebitsWR2]
Adr=0
Mask=$0F
cmd=$ACA40000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=CFD

[FusebitsRD2]
Adr=0
Mask=$0F
cmd=$50080000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=CFD

[Specials0]
Mode=RD
name=Calibration
cmd=$38000000
Mask=$ff
Adr=0
calbytes=1
CalByte0=8MHz

[memory]
datastart=$0
dataend=$1f
idatastart=$0100
idataend=$08Ff
pdatastart=32
pdataend=95
eepromstart=$0000
eepromend=$03ff
romtotstart=$0
romtotend=$7fff

[stack]
stackptrsize=16
StackStart=0
StackEnd=0
FrameEnd=18
PCsize=16

[controlregs_W]
ocr1b=$8A
ocr1a=$88
icr1=$86
tcnt1=$84
adc=$78
eear=$41

[controlregs]
twamr1=$DD
twcr1=$DC
twdr1=$DB
twar1=$DA
twsr1=$D9
twbr1=$D8
udr2=$CE
ubrr1h=$CD
ubrr1l=$CC
ubrr2=$CC
ucsr2d=$CB
ucsr1c=$CA
ucsrc2=$CA
ucsr1b=$C9
ucr2=$C9
usr2=$C8
ucsr1a=$C8
udr1=$C6
ubrr0h=$C5
ubrrh=$C5
ubrr1=$C4
ubrr0l=$C4
ucsr0d=$C3
ucsrc=$C2
ucsr0c=$C2
ucr1=$C1
ucsr0b=$C1
usr1=$C0
ucsr0a=$C0
twamr=$BD
twcr=$BC
twdr=$BB
twar=$BA
twsr=$B9
twbr=$B8
assr=$B6
ocr2B=$B4
ocr2A=$B3
ocr2=$B3
tcnt2=$B2
tccr2B=$B1
tccr2A=$B0
tccr2=$B1
ocr1bh=$8B
ocr1bl=$8A
ocr1ah=$89
ocr1al=$88
icr1h=$87
icr1l=$86
tcnt1h=$85
tcnt1l=$84
tccr1c=$82
tccr1b=$81
tccr1a=$80
didr1=$7f
didr0=$7E
admux=$7C
adcsr=$7A
adcsrb=$7B
adcsra=$7A
adch=$79
adcl=$78
pcmsk3=$73
timsk4=$72
timsk3=$71
timsk2=$70
timsk1=$6F
timsk0=$6E
pcmsk2=$6D
pcmsk1=$6C
pcmsk0=$6B
eicra=$69
pcicr=$68
osccal=$66
prr=$64
prr0=$64
prr1=$65
xfdcsr=$62
clkpr=$61
wdtcr=$60
sreg=$5f
sph=$5e
spl=$5d
spmcr=$57
spmcsr=$57
mcucr=$55
mcucsr=$54
mcusr=$54
smcr=$53
mondr=$51
acsr=$50
acsrb=$4f
spdr=$4e
spsr=$4d
spcr=$4c
gpior2=$4b
gpior1=$4a
ocr0b=$48
ocr0a=$47
tcnt0=$46
tccr0b=$45
tccr0a=$44
tccr0=$45
gtccr=$43
eearh=$42
eearl=$41
eedr=$40
eecr=$3f
gpior0=$3e
gimsk=$3d
eimsk=$3d
gifr=$3c
eifr=$3c
pcifr=$3b
tifr4=$39
tifr3=$38
tifr2=$37
tifr1=$36
tifr0=$35
porte=$2e
ddre=$2d
pine=$2c
portd=$2b
ddrd=$2a
pind=$29
portc=$28
ddrc=$27
pinc=$26
portb=$25
ddrb=$24
pinb=$23

[PortMasks]
maskc=$7f

[controlbits]
toie0=1
tov0=1
ocie0=2
ocie0a=2
ocie0b=4

toie1=1
tov1=1
ocie1a=2
ocie1b=4

ticie1=$20

toie2=1
tov2=1
ocie2=2
ocie2a=2
ocie2b=4

toie3=1
tov3=1
ocie3=2
ocie3a=2
ocie3b=4

ticie3=$20

toie4=1
tov4=1
ocie4=2
ocie4a=2
ocie4b=4

ticie4=$20

ctc1=8
ctc2=8
wgm01=8
wgm12=8
as2=$20
tcn2ub=4
ocr2ub=2
tcr2ub=1

[BootVectors]
ivce=1
ivsel=2
reg=MCUCR

[interruptvectors]
vectormethod=JMP
nrofvectors=45
vectnr0=RESET
vectnr1=INT0
vectnr2=INT1
vectnr3=PCINT0
vectnr4=PCINT1
vectnr5=PCINT2
vectnr6=WATCHDOGOVR
vectnr7=TIMER2COMPA
vectnr8=TIMER2COMPB
vectnr9=TIMER2
vectnr10=TIMER1CAPT
vectnr11=TIMER1COMPA
vectnr12=TIMER1COMPB
vectnr13=TIMER1
vectnr14=TIMER0COMPA
vectnr15=TIMER0COMPB
vectnr16=TIMER0
vectnr17=SPIRDY
vectnr18=RXRDY
vectnr19=UDRE
vectnr20=TXRDY
vectnr21=ADCRDY
vectnr22=EERDY
vectnr23=ACOMP
vectnr24=TWSI
vectnr25=SPMRDY
vectnr26=USART0START
vectnr27=PCINT3
vectnr28=RXRDY2
vectnr29=UDRE2
vectnr30=TXRDY2
vectnr31=USART1START
vectnr32=TIMER3CAPT
vectnr33=TIMER3COMPA
vectnr34=TIMER3COMPB
vectnr35=TIMER3
vectnr36=CFD
vectnr37=PTCEOC
vectnr38=PTCWCOMP
vectnr39=SPIRDY1
vectnr40=TWI1
vectnr41=TIMER4CAPT
vectnr42=TIMER4COMPA
vectnr43=TIMER4COMPB
vectnr44=TIMER4

[PCINT]
PCINT0=PinB
PCINT1=PinC
PCINT2=PinD
PCINT3=PinE

[peripheral]
timer0=true
timer1=true
timer2=true
timer3=true
pwm1=true
pwm1a=true
pwm2=true
pwm1b=true
pwm1pin=1
pwm1apin=1
pwm1port=DDRB
pwm1aport=DDRB
pwm2pin=2
pwm1bpin=2
pwm2port=DDRB
pwm1bport=DDRB
pwm2A=true
pwm2Aport=DDRB
pwm2Apin=3
pwm2B=true
pwm2Bport=DDRD
pwm2Bpin=3
async=true
async2=true
mpcm=1
adc=8
spi=true
spiport=PORTB
spi_ss=2
spi_mosi=3
spi_miso=4
spi_sck=5
CMPPort=PORTD
CMPmask=$C0
I2C=true
USART=true
USART2=true

[MSPI]
MSPI0=true
MSPIDDR0=DDRD
MSPICLK0=4

[timer1]
port=DDRB
oc1a=1
oc1b=2
Capt=PinB
icp=0

[timer2]
port=DDRB
oc2a=3
portb=ddrd
oc2b=3

[extint0]
mask=GIMSK
flag=GIFR
bit=0
port=PIND
pin=2

[extint1]
mask=GIMSK
flag=GIFR
bit=1
port=PIND
pin=3

[SysTick]
1=1
2=8
3=64
4=256
5=1024
6=0
7=0

[SysTick2]
1=1
2=8
3=32
4=64
5=128
6=256
7=1024

